Subject: Re: linux-next: build failure after merge of the final tree

From: Paul Bolle <[email-masked]>
Date: Wed, 28 May 2014 12:14:55 +0200

On Wed, 2014-05-28 at 11:57 +0200, Paul Bolle wrote:
> On Wed, 2014-05-28 at 19:46 +1000, Stephen Rothwell wrote:
> That may be related to my "staging: rtl8192u: rename
> CONFIG_IEEE80211_CRYPT_TKIP" (see https://lkml.org/lkml/2014/5/26/531 .)
> My message states it was compile tested, but that would be on x86_64.
> Did it only break on powerpc or did powerpc hit this first?

I must have compile tested this with CONFIG_LIB80211_CRYPT_TKIP=m while
the code checks for CONFIG_LIB80211_CRYPT_TKIP only (ie, builtin only).
I'll have to have a better look at this.

Greg, can the cleaning up of this mess involve an entirely new patch? An
incremental patch would leave this build error in a certain range of
commits.

Paul Bolle